Debian Bug report logs - #265678
fakeroot gdb segfaults on mips

version graph

Package: libc6; Maintainer for libc6 is GNU Libc Maintainers <debian-glibc@lists.debian.org>; Source for libc6 is src:eglibc.

Reported by: Thiemo Seufer <ica2_ts@csv.ica.uni-stuttgart.de>

Date: Sat, 14 Aug 2004 12:18:04 UTC

Severity: important

Tags: help, patch

Merged with 264920

Fixed in version glibc/2.3.2.ds1-21

Done: GOTO Masanori <gotom@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Clint Adams <schizo@debian.org>:
Bug#265678; Package fakeroot. Full text and rfc822 format available.

Acknowledgement sent to Thiemo Seufer <ica2_ts@csv.ica.uni-stuttgart.de>:
New Bug report received and forwarded. Copy sent to Clint Adams <schizo@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thiemo Seufer <ica2_ts@csv.ica.uni-stuttgart.de>
To: submit@bugs.debian.org
Subject: fakeroot gdb segfaults on mips
Date: Sat, 14 Aug 2004 14:06:06 +0200
Package: fakeroot
Version: 1.0.7
Severity: important

Fakeroot appears to be broken on mips for every command depending on
libdl. A simple example:

hattusa:~$ fakeroot gdb
/usr/bin/fakeroot: line 148:  9506 Segmentation fault FAKEROOTKEY=$FAKEROOTKEY LD_LIBRARY_PATH="$PATHS" LD_PRELOAD="$LIB" "$@"

This happens at least with fakeroot versions 1.0.5, 1.0.6 and 1.0.7.


Thiemo

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: mips
Kernel: Linux 2.4.26-sb1-swarm-bn
Locale: LANG=C, LC_CTYPE=de_DE@euro

Versions of packages fakeroot depends on:
ii  libc6                       2.3.2.ds1-16 GNU C Library: Shared libraries an

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#265678; Package fakeroot. Full text and rfc822 format available.

Acknowledgement sent to Clint Adams <schizo@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 265678@bugs.debian.org (full text, mbox):

From: Clint Adams <schizo@debian.org>
To: Thiemo Seufer <ica2_ts@csv.ica.uni-stuttgart.de>, 265678@bugs.debian.org
Cc: tbm@debian.org, doko@debian.org
Subject: Re: Bug#265678: fakeroot gdb segfaults on mips
Date: Sat, 14 Aug 2004 11:07:36 -0400
> Fakeroot appears to be broken on mips for every command depending on
> libdl. A simple example:

I can reproduce this with gdb, but not with bash or zsh, which are also
both linked against libdl.  file also segfaults, though it is not linked
against libdl.

> hattusa:~$ fakeroot gdb
> /usr/bin/fakeroot: line 148:  9506 Segmentation fault FAKEROOTKEY=$FAKEROOTKEY LD_LIBRARY_PATH="$PATHS" LD_PRELOAD="$LIB" "$@"
> 
> This happens at least with fakeroot versions 1.0.5, 1.0.6 and 1.0.7.

Both the segfault in gdb and file appear to be in _dl_unload_cache:

#0  0x2aab1564 in _dl_unload_cache () from /lib/ld.so.1
Cannot access memory at address 0x7f7f7fec




Information forwarded to debian-bugs-dist@lists.debian.org, Clint Adams <schizo@debian.org>:
Bug#265678; Package fakeroot. Full text and rfc822 format available.

Acknowledgement sent to Thiemo Seufer <ica2_ts@csv.ica.uni-stuttgart.de>:
Extra info received and forwarded to list. Copy sent to Clint Adams <schizo@debian.org>. Full text and rfc822 format available.

Message #15 received at 265678@bugs.debian.org (full text, mbox):

From: Thiemo Seufer <ica2_ts@csv.ica.uni-stuttgart.de>
To: Clint Adams <schizo@debian.org>
Cc: 265678@bugs.debian.org, tbm@debian.org, doko@debian.org
Subject: Re: Bug#265678: fakeroot gdb segfaults on mips
Date: Sat, 14 Aug 2004 20:13:10 +0200
Clint Adams wrote:
> > Fakeroot appears to be broken on mips for every command depending on
> > libdl. A simple example:
> 
> I can reproduce this with gdb, but not with bash or zsh, which are also
> both linked against libdl.  file also segfaults, though it is not linked
> against libdl.

The program where I noticed the problem was gconftool-2. I tried to
debug it with gdb...

I can confirm "fakeroot bash" works here as well.

> > hattusa:~$ fakeroot gdb
> > /usr/bin/fakeroot: line 148:  9506 Segmentation fault FAKEROOTKEY=$FAKEROOTKEY LD_LIBRARY_PATH="$PATHS" LD_PRELOAD="$LIB" "$@"
> > 
> > This happens at least with fakeroot versions 1.0.5, 1.0.6 and 1.0.7.
> 
> Both the segfault in gdb and file appear to be in _dl_unload_cache:
> 
> #0  0x2aab1564 in _dl_unload_cache () from /lib/ld.so.1
> Cannot access memory at address 0x7f7f7fec

So it appears to be a libc problem.


Thiemo



Information forwarded to debian-bugs-dist@lists.debian.org, Clint Adams <schizo@debian.org>:
Bug#265678; Package fakeroot. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Clint Adams <schizo@debian.org>. Full text and rfc822 format available.

Message #20 received at 265678@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Thiemo Seufer <ica2_ts@csv.ica.uni-stuttgart.de>
Cc: Clint Adams <schizo@debian.org>, 265678@bugs.debian.org, doko@debian.org
Subject: Re: Bug#265678: fakeroot gdb segfaults on mips
Date: Sat, 14 Aug 2004 19:18:18 +0100
Just for reference, this was also reported as #264920
-- 
Martin Michlmayr
tbm@cyrius.com



Information forwarded to debian-bugs-dist@lists.debian.org, Clint Adams <schizo@debian.org>:
Bug#265678; Package fakeroot. Full text and rfc822 format available.

Acknowledgement sent to Thiemo Seufer <ica2_ts@csv.ica.uni-stuttgart.de>:
Extra info received and forwarded to list. Copy sent to Clint Adams <schizo@debian.org>. Full text and rfc822 format available.

Message #25 received at 265678@bugs.debian.org (full text, mbox):

From: Thiemo Seufer <ica2_ts@csv.ica.uni-stuttgart.de>
To: Clint Adams <schizo@debian.org>
Cc: 265678@bugs.debian.org, tbm@debian.org, doko@debian.org
Subject: Re: Bug#265678: fakeroot gdb segfaults on mips
Date: Sat, 14 Aug 2004 22:21:32 +0200
Thiemo Seufer wrote:
> Clint Adams wrote:
> > > Fakeroot appears to be broken on mips for every command depending on
> > > libdl. A simple example:
> > 
> > I can reproduce this with gdb, but not with bash or zsh, which are also
> > both linked against libdl.  file also segfaults, though it is not linked
> > against libdl.
> 
> The program where I noticed the problem was gconftool-2. I tried to
> debug it with gdb...
> 
> I can confirm "fakeroot bash" works here as well.

file, however, does not segfault here but uses up to 1.4 GB per call.
This slowes compilations down quite a bit. :-)


Thiemo



Information forwarded to debian-bugs-dist@lists.debian.org, Clint Adams <schizo@debian.org>:
Bug#265678; Package fakeroot. Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@cs.tu-berlin.de>:
Extra info received and forwarded to list. Copy sent to Clint Adams <schizo@debian.org>. Full text and rfc822 format available.

Message #30 received at 265678@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@cs.tu-berlin.de>
To: 265678@bugs.debian.org
Cc: Thiemo Seufer <ica2_ts@csv.ica.uni-stuttgart.de>, tbm@cyrius.com
Subject: fakeroot ranlib segfaults on mips
Date: Mon, 20 Sep 2004 08:02:23 +0200
ranlib started segfaulting the same way. it does work in sarge.
Seen in the doko-sid chroot on solitude.



Bug reassigned from package `fakeroot' to `libc6'. Request was from Clint Adams <schizo@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#265678; Package libc6. Full text and rfc822 format available.

Acknowledgement sent to GOTO Masanori <gotom@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #37 received at 265678@bugs.debian.org (full text, mbox):

From: GOTO Masanori <gotom@debian.or.jp>
To: Clint Adams <schizo@debian.org>, 265678@bugs.debian.org
Subject: Re: Processed: mips fun
Date: Wed, 06 Oct 2004 13:04:19 +0900
At Tue, 05 Oct 2004 08:18:15 -0700,
Debian Bug Tracking System wrote:
> > reassign 265678 libc6
> Bug#265678: fakeroot gdb segfaults on mips
> Bug reassigned from package `fakeroot' to `libc6'.

You have to show us the concrete example why it's libc6 problem.

Regards,
-- gotom



Merged 264920 265678. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#265678; Package libc6. Full text and rfc822 format available.

Acknowledgement sent to Thiemo Seufer <ica2_ts@csv.ica.uni-stuttgart.de>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #44 received at 265678@bugs.debian.org (full text, mbox):

From: Thiemo Seufer <ica2_ts@csv.ica.uni-stuttgart.de>
To: 265678@bugs.debian.org
Subject: More Info about this bug
Date: Mon, 11 Oct 2004 21:40:31 +0200
The problem is caused by dlsym() returning the lazy binding stub of
the next library instead of the actual implementation. Example:

/usr/bin/file
/usr/lib/libfakeroot/libfakeroot.so.0
/usr/lib/libmagic.so.1
/usr/lib/libz.so.1
/lib/libc.so.6
/lib/ld.so.1

__xstat64 (in libc) is called from both file and libmagic, and
libfakeroot tries to wrap it. With the current behaviour, the wrapper
function in libfakeroot resolves to the lazy binding stub in libmagic
instead of the __xstat64 implementation in libc.

The stub in libmagic is marked as undefined:

    95: 0000dee0     0 FUNC    GLOBAL DEFAULT  UND __xstat64@GLIBC_2.2 (3)


Thiemo



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#265678; Package libc6. Full text and rfc822 format available.

Acknowledgement sent to Thomas Hood <jdthood@aglu.demon.nl>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #49 received at 265678@bugs.debian.org (full text, mbox):

From: Thomas Hood <jdthood@aglu.demon.nl>
To: 265678@bugs.debian.org
Subject: severity serious
Date: Fri, 05 Nov 2004 10:57:54 +0100
severity 265678 serious
thanks

This results in fakeroot being FTBFS on mips and mipsel (#279240).

-- 
Thomas Hood




Severity set to `serious'. Request was from Thomas Hood <jdthood@aglu.demon.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#265678; Package libc6. Full text and rfc822 format available.

Acknowledgement sent to GOTO Masanori <gotom@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #56 received at 265678@bugs.debian.org (full text, mbox):

From: GOTO Masanori <gotom@debian.or.jp>
To: Thomas Hood <jdthood@aglu.demon.nl>, 265678@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#265678: severity serious
Date: Sat, 06 Nov 2004 08:10:49 +0900
control 265678 important
thanks

Again, show us the example.  Patch is welcome.

-- gotom



Severity set to `important'. Request was from GOTO Masanori <gotom@debian.or.jp> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#265678; Package libc6. Full text and rfc822 format available.

Acknowledgement sent to Kenshi Muto <kmuto@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #63 received at 265678@bugs.debian.org (full text, mbox):

From: Kenshi Muto <kmuto@debian.org>
To: 279240@bugs.debian.org, 265678@bugs.debian.org
Subject: fakeroot doesn't build on mips and mipsel
Date: Sun, 07 Nov 2004 18:53:24 +0900
Hi,

I tried to reproduce a problem, then Masanori Goto and I find
(temporary) solution.

<Temporary solution>
Add "#undef RTLD_NEXT" to libfakeroot.c when architecture is mips/mipsel.
</Temporary solution>

Problem will be solved.

fakeroot on sarge works, but one on sid won't work. At least about
'mv' command, newest libacl makes RTLD_NEXT confusing.

Masanori assumes this is complex problem of toolchain and libc/dlsym
on mips/mipsel. He said more about this problem, but I couldn't
understand in detail and translate it in English. Could you describe
more detail, gotom? :-)

Thanks,
-- 
Kenshi Muto
kmuto@debian.org



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#265678; Package libc6. Full text and rfc822 format available.

Acknowledgement sent to GOTO Masanori <gotom@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #68 received at 265678@bugs.debian.org (full text, mbox):

From: GOTO Masanori <gotom@debian.or.jp>
To: Kenshi Muto <kmuto@debian.org>, 279240@bugs.debian.org, Steve Langasek <vorlon@debian.org>, Clint Adams <schizo@debian.org>, Adrian Bunk <bunk@stusta.de>
Cc: 265678@bugs.debian.org, Thiemo Seufer <ica2_ts@csv.ica.uni-stuttgart.de>, tbm@debian.org, doko@debian.org, Thomas Hood <jdthood@aglu.demon.nl>
Subject: Re: Bug#279240: fakeroot doesn't build on mips and mipsel
Date: Tue, 16 Nov 2004 00:55:05 +0900
Hi,

At Sun, 07 Nov 2004 18:53:24 +0900,
Kenshi Muto wrote:
> I tried to reproduce a problem, then Masanori Goto and I find
> (temporary) solution.

Recently I got the root access to mips/mipsel machine (Thanks to
Mutsumi Ishikawa and Kenshi Muto), and checked this problem.

> <Temporary solution>
> Add "#undef RTLD_NEXT" to libfakeroot.c when architecture is mips/mipsel.
> </Temporary solution>
> 
> Problem will be solved.

Yes, I confirmed the following (workaround) patch fixed the problem on
mipsel (I didn't test it on mips):


--- ../../fakeroot-1.1.5/libfakeroot.c  2004-10-08 00:56:04.000000000 +0900
+++ libfakeroot.c       2004-11-06 22:11:38.000000000 +0900
@@ -73,7 +73,7 @@
 };
 
 void *get_libc(){
- 
+#undef RTLD_NEXT 
 #ifndef RTLD_NEXT
  void *lib=0;
  if(!lib){ 


It disables to use RTLD_NEXT (== -1).

It seems when we use RTLD_NEXT, the next line returns the invalid
address which is not in the glibc scope (and interestingly it's
libacl1 scope):

       *(next_wrap[i].doit)=dlsym(get_libc(), next_wrap[i].name);

> fakeroot on sarge works, but one on sid won't work. At least about
> 'mv' command, newest libacl makes RTLD_NEXT confusing.

"mv" command depends on the following libraries:

        libacl.so.1 => /lib/libacl.so.1 (0x2ab04000)
        libc.so.6 => /lib/libc.so.6 (0x2ab4c000)
        libattr.so.1 => /lib/libattr.so.1 (0x2ad18000)
        /lib/ld.so.1 => /lib/ld.so.1 (0x2aaa8000)

Moreover, when we use libacl1 (2.2.23-1), fakeroot without RTLD_NEXT
hack works well.  However when we use the recent libacl1 (2.2.26-1),
fakeroot does not work and RTLD_NEXT hack is needed.


Thiemo was also spotted this problem:

> The problem is caused by dlsym() returning the lazy binding stub of
> the next library instead of the actual implementation. Example:
> 
> /usr/bin/file
> /usr/lib/libfakeroot/libfakeroot.so.0
> /usr/lib/libmagic.so.1
> /usr/lib/libz.so.1
> /lib/libc.so.6
> /lib/ld.so.1
> 
> __xstat64 (in libc) is called from both file and libmagic, and
> libfakeroot tries to wrap it. With the current behaviour, the wrapper
> function in libfakeroot resolves to the lazy binding stub in libmagic
> instead of the __xstat64 implementation in libc.
> 
> The stub in libmagic is marked as undefined:
> 
>     95: 0000dee0     0 FUNC    GLOBAL DEFAULT  UND __xstat64@GLIBC_2.2 (3)

I guess the lazy binding + RTLD_NEXT is broken with the recent
libraries which are compiled by the recent binutils 2.15 or the recent
gcc 3.3.  I guess it's binutils and glibc dl related problem, but I
still don't know what the actual problem is.

Regards,
-- gotom




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#265678; Package libc6. Full text and rfc822 format available.

Acknowledgement sent to Thiemo Seufer <ths@networkno.de>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #73 received at 265678@bugs.debian.org (full text, mbox):

From: Thiemo Seufer <ths@networkno.de>
To: 265678@bugs.debian.org
Subject: Fix/Workaround for broken symbol resolving on mips/mipsel
Date: Wed, 13 Apr 2005 03:17:02 +0200
tags 265678 +patch
thanks

ld.so for mips/mipsel resolves symbols to the lazy evaluation stub of
in between libraries. The stubs aren't marked by anything beyond the
section information, but their symbols are SHN_UNDEF.

The appended patch works around this by ignoring SHN_UNDEF symbols in
the resolver lookup function. It may break copy relocations on other
architectures, so it should be mips specific. It also includes a
INTUSE cleanup which is unrelated to this bug.

I built and installed the resulting libc on several mips machines,
fakeroot works, no ill effects observed so far.


Thiemo


#! /bin/sh -e

# All lines beginning with `# DP:' are a description of the patch.
# DP: Description: Workaround invalid resolving of lazy evaluation stubs
# DP: Author: Thiemo Seufer <ths@debian.org>
# DP: Date:  2005-04-11

if [ $# -ne 2 ]; then
    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
    exit 1
fi
case "$1" in
    -patch) patch -d "$2" -f --no-backup-if-mismatch -p2 < $0;;
    -unpatch) patch -d "$2" -f --no-backup-if-mismatch -R -p2 < $0;;
    *)
	echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
	exit 1
esac
exit 0

# append the patch here and adjust the -p? flag in the patch calls.
diff -upr build-tree.orig/glibc-2.3.2/elf/do-lookup.h build-tree/glibc-2.3.2/elf/do-lookup.h
--- build-tree.orig/glibc-2.3.2/elf/do-lookup.h	2005-02-28 23:42:31.000000000 +0100
+++ build-tree/glibc-2.3.2/elf/do-lookup.h	2005-04-11 18:19:20.000000000 +0200
@@ -209,6 +209,11 @@ FCT (const char *undef_name, unsigned lo
 		}
 	      /* FALLTHROUGH */
 	    case STB_GLOBAL:
+	      /* HACK: MIPS marks its lazy evaluation stubs with SHN_UNDEF
+		 symbols, we skip them. */
+	      if (sym->st_shndx == SHN_UNDEF)
+		break;
+
 	      /* Global definition.  Just what we need.  */
 	      result->s = sym;
 	      result->m = map;
diff -upr build-tree.orig/glibc-2.3.2/sysdeps/mips/dl-machine.h build-tree/glibc-2.3.2/sysdeps/mips/dl-machine.h
--- build-tree.orig/glibc-2.3.2/sysdeps/mips/dl-machine.h	2005-02-28 23:42:36.000000000 +0100
+++ build-tree/glibc-2.3.2/sysdeps/mips/dl-machine.h	2005-04-10 22:39:15.000000000 +0200
@@ -347,5 +347,6 @@ __dl_runtime_resolve (ElfW(Word) sym_ind
   const ElfW(Word) gotsym						      \
     = (const ElfW(Word)) l->l_info[DT_MIPS (GOTSYM)]->d_un.d_val;	      \
   const ElfW(Sym) *sym = &symtab[sym_index];				      \
+  lookup_t result;							      \
   ElfW(Addr) value;							      \
 									      \
@@ -363,30 +364,37 @@ __dl_runtime_resolve (ElfW(Word) sym_ind
 									      \
 	    if (version->hash != 0)					      \
 	      {								      \
-		value = _dl_lookup_versioned_symbol(strtab + sym->st_name, l, \
-						    &sym, l->l_scope, version,\
-						    ELF_RTYPE_CLASS_PLT, 0);  \
+		result = INTUSE(_dl_lookup_versioned_symbol) (strtab	      \
+							      + sym->st_name, \
+							      l, &sym,	      \
+							      l->l_scope,     \
+							      version,	      \
+							      ELF_RTYPE_CLASS_PLT,\
+							      0);\
 		break;							      \
 	      }								      \
 	    /* Fall through.  */					      \
 	  }								      \
 	case 0:								      \
-	  value = _dl_lookup_symbol (strtab + sym->st_name, l, &sym,	      \
-				     l->l_scope, ELF_RTYPE_CLASS_PLT,	      \
-				     DL_LOOKUP_ADD_DEPENDENCY);		      \
+	  result = INTUSE(_dl_lookup_symbol) (strtab + sym->st_name, l, &sym, \
+					      l->l_scope, ELF_RTYPE_CLASS_PLT,\
+					      DL_LOOKUP_ADD_DEPENDENCY);      \
 	}								      \
 									      \
-      /* Currently value contains the base load address of the object	      \
-	 that defines sym.  Now add in the symbol offset.  */		      \
-      value = (sym ? value + sym->st_value : 0);			      \
+      /* Currently result contains the base load address (or link map)	      \
+	 of the object that defines sym.  Now add in the symbol		      \
+	 offset.  */							      \
+      value = (sym ? result + sym->st_value : 0);			      \
     }									      \
   else									      \
-    /* We already found the symbol.  The module (and therefore its load	      \
-       address) is also known.  */					      \
-    value = l->l_addr + sym->st_value;					      \
+    {									      \
+      /* We already found the symbol.  The module (and therefore its load     \
+         address) is also known.  */					      \
+      value = l->l_addr + sym->st_value;				      \
+    }									      \
 									      \
   /* Apply the relocation with that value.  */				      \
-  *(got + local_gotno + sym_index - gotsym) = value;			      \
+  *(got + local_gotno + sym_index - gotsym) = value;	 		      \
 									      \
   return value;								      \
 }									      \



Tags added: patch Request was from Thiemo Seufer <ths@networkno.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#265678; Package libc6. Full text and rfc822 format available.

Acknowledgement sent to Thiemo Seufer <ths@networkno.de>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #80 received at 265678@bugs.debian.org (full text, mbox):

From: Thiemo Seufer <ths@networkno.de>
To: 265678@bugs.debian.org
Subject: Re: Bug#265678: Info received (was Fix/Workaround for broken symbol resolving on mips/mipsel)
Date: Thu, 14 Apr 2005 19:54:43 +0200
Hello,

this is an updated patch which adds the SHN_UNDEF workaround only for
mips/mipsel.


Thiemo


#! /bin/sh -e

# All lines beginning with `# DP:' are a description of the patch.
# DP: Description: Workaround invalid resolving of lazy evaluation stubs
# DP: Author: Thiemo Seufer <ths@debian.org>
# DP: Date:  2005-04-11

if [ $# -ne 2 ]; then
    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
    exit 1
fi
case "$1" in
    -patch) patch -d "$2" -f --no-backup-if-mismatch -p2 < $0;;
    -unpatch) patch -d "$2" -f --no-backup-if-mismatch -R -p2 < $0;;
    *)
	echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
	exit 1
esac
exit 0

# append the patch here and adjust the -p? flag in the patch calls.
diff -upr build-tree.orig/glibc-2.3.2/elf/do-lookup.h build-tree/glibc-2.3.2/elf/do-lookup.h
--- build-tree.orig/glibc-2.3.2/elf/do-lookup.h	2005-02-28 23:42:31.000000000 +0100
+++ build-tree/glibc-2.3.2/elf/do-lookup.h	2005-04-11 18:19:20.000000000 +0200
@@ -209,6 +209,13 @@ FCT (const char *undef_name, unsigned lo
 		}
 	      /* FALLTHROUGH */
 	    case STB_GLOBAL:
+#ifdef __mips__
+	      /* HACK: MIPS marks its lazy evaluation stubs with SHN_UNDEF
+		 symbols, we skip them. */
+	      if (sym->st_shndx == SHN_UNDEF)
+		break;
+#endif
+
 	      /* Global definition.  Just what we need.  */
 	      result->s = sym;
 	      result->m = map;
diff -upr build-tree.orig/glibc-2.3.2/sysdeps/mips/dl-machine.h build-tree/glibc-2.3.2/sysdeps/mips/dl-machine.h
--- build-tree.orig/glibc-2.3.2/sysdeps/mips/dl-machine.h	2005-02-28 23:42:36.000000000 +0100
+++ build-tree/glibc-2.3.2/sysdeps/mips/dl-machine.h	2005-04-10 22:39:15.000000000 +0200
@@ -347,5 +347,6 @@ __dl_runtime_resolve (ElfW(Word) sym_ind
   const ElfW(Word) gotsym						      \
     = (const ElfW(Word)) l->l_info[DT_MIPS (GOTSYM)]->d_un.d_val;	      \
   const ElfW(Sym) *sym = &symtab[sym_index];				      \
+  lookup_t result;							      \
   ElfW(Addr) value;							      \
 									      \
@@ -363,30 +364,37 @@ __dl_runtime_resolve (ElfW(Word) sym_ind
 									      \
 	    if (version->hash != 0)					      \
 	      {								      \
-		value = _dl_lookup_versioned_symbol(strtab + sym->st_name, l, \
-						    &sym, l->l_scope, version,\
-						    ELF_RTYPE_CLASS_PLT, 0);  \
+		result = INTUSE(_dl_lookup_versioned_symbol) (strtab	      \
+							      + sym->st_name, \
+							      l, &sym,	      \
+							      l->l_scope,     \
+							      version,	      \
+							      ELF_RTYPE_CLASS_PLT,\
+							      0);\
 		break;							      \
 	      }								      \
 	    /* Fall through.  */					      \
 	  }								      \
 	case 0:								      \
-	  value = _dl_lookup_symbol (strtab + sym->st_name, l, &sym,	      \
-				     l->l_scope, ELF_RTYPE_CLASS_PLT,	      \
-				     DL_LOOKUP_ADD_DEPENDENCY);		      \
+	  result = INTUSE(_dl_lookup_symbol) (strtab + sym->st_name, l, &sym, \
+					      l->l_scope, ELF_RTYPE_CLASS_PLT,\
+					      DL_LOOKUP_ADD_DEPENDENCY);      \
 	}								      \
 									      \
-      /* Currently value contains the base load address of the object	      \
-	 that defines sym.  Now add in the symbol offset.  */		      \
-      value = (sym ? value + sym->st_value : 0);			      \
+      /* Currently result contains the base load address (or link map)	      \
+	 of the object that defines sym.  Now add in the symbol		      \
+	 offset.  */							      \
+      value = (sym ? result + sym->st_value : 0);			      \
     }									      \
   else									      \
-    /* We already found the symbol.  The module (and therefore its load	      \
-       address) is also known.  */					      \
-    value = l->l_addr + sym->st_value;					      \
+    {									      \
+      /* We already found the symbol.  The module (and therefore its load     \
+         address) is also known.  */					      \
+      value = l->l_addr + sym->st_value;				      \
+    }									      \
 									      \
   /* Apply the relocation with that value.  */				      \
-  *(got + local_gotno + sym_index - gotsym) = value;			      \
+  *(got + local_gotno + sym_index - gotsym) = value;	 		      \
 									      \
   return value;								      \
 }									      \



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#265678; Package libc6. Full text and rfc822 format available.

Acknowledgement sent to GOTO Masanori <gotom@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #85 received at 265678@bugs.debian.org (full text, mbox):

From: GOTO Masanori <gotom@debian.or.jp>
To: Thiemo Seufer <ths@networkno.de>, 265678@bugs.debian.org
Subject: Re: Bug#265678: Info received (was Fix/Workaround for broken symbol resolving on mips/mipsel)
Date: Sat, 16 Apr 2005 17:52:13 +0900
At Thu, 14 Apr 2005 19:54:43 +0200,
Thiemo Seufer wrote:
> this is an updated patch which adds the SHN_UNDEF workaround only for
> mips/mipsel.

Thanks for your patch, I put it in -21.  I tested some applications
with your workaround patch on mips, but it does not cause any
problems, too.  Fakeroot problem should be fixed now.  I hope this
issue will be correctly fixed with appropriate toolchain support in
etch, I will help you.

Regards,
-- gotom



Reply sent to GOTO Masanori <gotom@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Thiemo Seufer <ica2_ts@csv.ica.uni-stuttgart.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #90 received at 264920-close@bugs.debian.org (full text, mbox):

From: GOTO Masanori <gotom@debian.org>
To: 264920-close@bugs.debian.org
Subject: Bug#264920: fixed in glibc 2.3.2.ds1-21
Date: Sat, 16 Apr 2005 09:17:24 -0400
Source: glibc
Source-Version: 2.3.2.ds1-21

We believe that the bug you reported is fixed in the latest version of
glibc, which is due to be installed in the Debian FTP archive:

glibc-doc_2.3.2.ds1-21_all.deb
  to pool/main/g/glibc/glibc-doc_2.3.2.ds1-21_all.deb
glibc_2.3.2.ds1-21.diff.gz
  to pool/main/g/glibc/glibc_2.3.2.ds1-21.diff.gz
glibc_2.3.2.ds1-21.dsc
  to pool/main/g/glibc/glibc_2.3.2.ds1-21.dsc
libc6-dbg_2.3.2.ds1-21_i386.deb
  to pool/main/g/glibc/libc6-dbg_2.3.2.ds1-21_i386.deb
libc6-dev_2.3.2.ds1-21_i386.deb
  to pool/main/g/glibc/libc6-dev_2.3.2.ds1-21_i386.deb
libc6-i686_2.3.2.ds1-21_i386.deb
  to pool/main/g/glibc/libc6-i686_2.3.2.ds1-21_i386.deb
libc6-pic_2.3.2.ds1-21_i386.deb
  to pool/main/g/glibc/libc6-pic_2.3.2.ds1-21_i386.deb
libc6-prof_2.3.2.ds1-21_i386.deb
  to pool/main/g/glibc/libc6-prof_2.3.2.ds1-21_i386.deb
libc6-udeb_2.3.2.ds1-21_i386.udeb
  to pool/main/g/glibc/libc6-udeb_2.3.2.ds1-21_i386.udeb
libc6_2.3.2.ds1-21_i386.deb
  to pool/main/g/glibc/libc6_2.3.2.ds1-21_i386.deb
libnss-dns-udeb_2.3.2.ds1-21_i386.udeb
  to pool/main/g/glibc/libnss-dns-udeb_2.3.2.ds1-21_i386.udeb
libnss-files-udeb_2.3.2.ds1-21_i386.udeb
  to pool/main/g/glibc/libnss-files-udeb_2.3.2.ds1-21_i386.udeb
locales_2.3.2.ds1-21_all.deb
  to pool/main/g/glibc/locales_2.3.2.ds1-21_all.deb
nscd_2.3.2.ds1-21_i386.deb
  to pool/main/g/glibc/nscd_2.3.2.ds1-21_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 264920@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
GOTO Masanori <gotom@debian.org> (supplier of updated glibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 14 Feb 2005 09:26:26 +0900
Source: glibc
Binary: libc6-i686 libc0.3-pic glibc-doc libc1-udeb libc0.3 libc6.1-dev libc1-pic libc6-s390x libnss-files-udeb libc1-dbg libc6-dev-sparc64 libc0.3-dev libc6-udeb libc6-dbg libc6.1-pic libc6-dev libc0.3-prof libc6-sparcv9 libc6.1-prof libc1 locales libc6-pic libc0.3-udeb libc1-prof libc0.3-dbg libc6-prof libc6 libc6-sparcv9b libc6.1-udeb libc6.1-dbg nscd libc6-sparc64 libnss-dns-udeb libc6.1 libc1-dev libc6-dev-s390x
Architecture: source i386 all
Version: 2.3.2.ds1-21
Distribution: unstable
Urgency: high
Maintainer: GOTO Masanori <gotom@debian.org>
Changed-By: GOTO Masanori <gotom@debian.org>
Description: 
 glibc-doc  - GNU C Library: Documentation
 libc6      - GNU C Library: Shared libraries and Timezone data
 libc6-dbg  - GNU C Library: Libraries with debugging symbols
 libc6-dev  - GNU C Library: Development Libraries and Header Files
 libc6-i686 - GNU C Library: Shared libraries [i686 optimized]
 libc6-pic  - GNU C Library: PIC archive library
 libc6-prof - GNU C Library: Profiling Libraries
 libc6-udeb - GNU C Library: Shared libraries - udeb (udeb)
 libnss-dns-udeb - GNU C Library: NSS helper for DNS - udeb (udeb)
 libnss-files-udeb - GNU C Library: NSS helper for files - udeb (udeb)
 locales    - GNU C Library: National Language (locale) data [support]
 nscd       - GNU C Library: Name Service Cache Daemon
Closes: 182981 219352 264920 265678 292013 292673 294444 294816 295118 295457 297769 300943 303478 303816 304257 304668
Changes: 
 glibc (2.3.2.ds1-21) unstable; urgency=high
 .
   * GOTO Masanori <gotom@debian.org>
 .
     - debian/patches/linuxthreads-sizefix.dpatch: Fix ia64 TLS_PRE_TCB_SIZE
       alignment where TLS_DTV_AT_TP is defined between linuxthreads and nptl.
       It breaks evolution on ia64 linuxthreads ld.so + nptl environment.
       (Closes: #292673)
     - debian/patches/glibc232-sigsetjmp.dpatch: Fix gcc-4.0 compilation
       breakage on amd64.  (Closes: #295457)
     - debian/debhelper.in/libc.manpages: Add tzconfig.8.  Reported by Matthijs
       Mohlmann <matthijs@cacholong.nl>.  (Closes: #182981)
     - debian/patches/90_glibc232-timezones.dpatch: Update to tzdata2005h.
     - debian/patches/hurd-weak-aliases.dpatch: Add to fix undefined references
       to build putty on Hurd, patched by Michael Banck <mbanck@debian.org>.
       (Closes: #295118)
     - debian/debhelper.in/libc.preinst: Fix typo, proofreading.
       (Closes: #294816, #303478)
     - debian/rules: Bump up shlib_dep_ver 2.3.2.ds1-21.  It's required by
       adding GLIBC_2.3.4 symbol.
 .
     - Bastian Blank <waldi@debian.org>:
       - debian/patches/sched-update.dpatch: Update sched_[gs]et_affinity to
         new interface and library version.  Add GLIBC_2.3.4 versioned symbol
         for new interface.  (Closes: #297769)
     - Jeff Bailey <jbailey@raspberryginger.com>:
       - debian/patches/glibc232-tls-crashfix.dpatch: Fix tls assertion that
         crashes xmms/nvidia.  (Closes: #219352)
       - debian/patches/glibc232-pthread-cancellation.dpatch: Fix pthread
         cancellation bug that causes JVM lockups.  (Closes: #300943)
     - Denis Barbier <barbier@debian.org>:
       - debian/debhelper.in/libc.preinst: Add export LC_ALL=C like
         libc.postinst, it corrects some locale dependent behavior,
         especially for `tr'.  (Closes: #304257)
     - Lars Wirzenius <liw@iki.fi>:
       - debian/local/manpages/iconv.1: Escape hyphens for Unicode
         environments.  (Closes: #292013)
     - Emilian Nowak <emil5@go2.pl>:
       - debian/po/pl.po: Add Polish debconf translation.  (Closes: #294444)
     - Matti Polla <mpo@iki.fi>:
       - debian/po/fi.po: Add Finnish debconf translation.  (Closes: #303816)
     - Khalid Aziz <khalid_aziz@hp.com>:
       - debian/patches/glibc232-clock_settime.dpatch: Fix clock_settime
         always fails with EINVAL.  (Closes: #304668)
     - Thiemo Seufer <ths@debian.org>:
       - debian/patches/glibc23-mips-lazy-eval.dpatch: Workaround fix for
         broken symbol resolving of lazy evaluation stubs on mips/mipsel,
         that causes fakeroot breakage.  (Closes: #265678, #264920)
Files: 
 c68cd4ae91be6b9b6a087cd691726d42 1725 libs required glibc_2.3.2.ds1-21.dsc
 d3e90d31845cb5df45c07fed6d85fc3d 1783892 libs required glibc_2.3.2.ds1-21.diff.gz
 066cc175adbb429b371a55abb4c5c551 3166896 doc optional glibc-doc_2.3.2.ds1-21_all.deb
 6f4197d090f8daa7db57a305a1666553 3984332 base standard locales_2.3.2.ds1-21_all.deb
 f85258f6f37716e0243659f74d5e6af9 4901150 base required libc6_2.3.2.ds1-21_i386.deb
 aa70d271dd92cab4038826505b0dd060 2533234 libdevel standard libc6-dev_2.3.2.ds1-21_i386.deb
 2536c0ab2b58cb09474aad229fd8bba9 2014912 libdevel extra libc6-prof_2.3.2.ds1-21_i386.deb
 d8b9ef9a65416d1215c68593226e40b5 1036998 libdevel optional libc6-pic_2.3.2.ds1-21_i386.deb
 39c51f15126543236f5700390db1681f 959450 libs extra libc6-i686_2.3.2.ds1-21_i386.deb
 572479d750a808ec729cdd475c6f48c3 92676 admin optional nscd_2.3.2.ds1-21_i386.deb
 7faf60c947d73331a7e8753188b14a16 10234092 libdevel extra libc6-dbg_2.3.2.ds1-21_i386.deb
 3e0e01f0e801c3b15231ba80042191d7 719300 debian-installer extra libc6-udeb_2.3.2.ds1-21_i386.udeb
 9b953fe85a74aec52e05c7f0ea22ca11 7724 debian-installer extra libnss-dns-udeb_2.3.2.ds1-21_i386.udeb
 0e6efc90404ac8026eca354e011bb3d0 13740 debian-installer extra libnss-files-udeb_2.3.2.ds1-21_i386.udeb
package-type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.0 (GNU/Linux)

iD8DBQFCYQXbqIqasIZIJsMRAi//AJ9lXH39wkkqkgLNcsGOtOXz2ICugwCfaKYl
6QOMUYp4EWP2+YIZwPOqjWY=
=pXdx
-----END PGP SIGNATURE-----




Message #91 received at 265678-close@bugs.debian.org (full text, mbox):

From: GOTO Masanori <gotom@debian.org>
To: 265678-close@bugs.debian.org
Subject: Bug#265678: fixed in glibc 2.3.2.ds1-21
Date: Sat, 16 Apr 2005 09:17:24 -0400
Source: glibc
Source-Version: 2.3.2.ds1-21

We believe that the bug you reported is fixed in the latest version of
glibc, which is due to be installed in the Debian FTP archive:

glibc-doc_2.3.2.ds1-21_all.deb
  to pool/main/g/glibc/glibc-doc_2.3.2.ds1-21_all.deb
glibc_2.3.2.ds1-21.diff.gz
  to pool/main/g/glibc/glibc_2.3.2.ds1-21.diff.gz
glibc_2.3.2.ds1-21.dsc
  to pool/main/g/glibc/glibc_2.3.2.ds1-21.dsc
libc6-dbg_2.3.2.ds1-21_i386.deb
  to pool/main/g/glibc/libc6-dbg_2.3.2.ds1-21_i386.deb
libc6-dev_2.3.2.ds1-21_i386.deb
  to pool/main/g/glibc/libc6-dev_2.3.2.ds1-21_i386.deb
libc6-i686_2.3.2.ds1-21_i386.deb
  to pool/main/g/glibc/libc6-i686_2.3.2.ds1-21_i386.deb
libc6-pic_2.3.2.ds1-21_i386.deb
  to pool/main/g/glibc/libc6-pic_2.3.2.ds1-21_i386.deb
libc6-prof_2.3.2.ds1-21_i386.deb
  to pool/main/g/glibc/libc6-prof_2.3.2.ds1-21_i386.deb
libc6-udeb_2.3.2.ds1-21_i386.udeb
  to pool/main/g/glibc/libc6-udeb_2.3.2.ds1-21_i386.udeb
libc6_2.3.2.ds1-21_i386.deb
  to pool/main/g/glibc/libc6_2.3.2.ds1-21_i386.deb
libnss-dns-udeb_2.3.2.ds1-21_i386.udeb
  to pool/main/g/glibc/libnss-dns-udeb_2.3.2.ds1-21_i386.udeb
libnss-files-udeb_2.3.2.ds1-21_i386.udeb
  to pool/main/g/glibc/libnss-files-udeb_2.3.2.ds1-21_i386.udeb
locales_2.3.2.ds1-21_all.deb
  to pool/main/g/glibc/locales_2.3.2.ds1-21_all.deb
nscd_2.3.2.ds1-21_i386.deb
  to pool/main/g/glibc/nscd_2.3.2.ds1-21_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 265678@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
GOTO Masanori <gotom@debian.org> (supplier of updated glibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 14 Feb 2005 09:26:26 +0900
Source: glibc
Binary: libc6-i686 libc0.3-pic glibc-doc libc1-udeb libc0.3 libc6.1-dev libc1-pic libc6-s390x libnss-files-udeb libc1-dbg libc6-dev-sparc64 libc0.3-dev libc6-udeb libc6-dbg libc6.1-pic libc6-dev libc0.3-prof libc6-sparcv9 libc6.1-prof libc1 locales libc6-pic libc0.3-udeb libc1-prof libc0.3-dbg libc6-prof libc6 libc6-sparcv9b libc6.1-udeb libc6.1-dbg nscd libc6-sparc64 libnss-dns-udeb libc6.1 libc1-dev libc6-dev-s390x
Architecture: source i386 all
Version: 2.3.2.ds1-21
Distribution: unstable
Urgency: high
Maintainer: GOTO Masanori <gotom@debian.org>
Changed-By: GOTO Masanori <gotom@debian.org>
Description: 
 glibc-doc  - GNU C Library: Documentation
 libc6      - GNU C Library: Shared libraries and Timezone data
 libc6-dbg  - GNU C Library: Libraries with debugging symbols
 libc6-dev  - GNU C Library: Development Libraries and Header Files
 libc6-i686 - GNU C Library: Shared libraries [i686 optimized]
 libc6-pic  - GNU C Library: PIC archive library
 libc6-prof - GNU C Library: Profiling Libraries
 libc6-udeb - GNU C Library: Shared libraries - udeb (udeb)
 libnss-dns-udeb - GNU C Library: NSS helper for DNS - udeb (udeb)
 libnss-files-udeb - GNU C Library: NSS helper for files - udeb (udeb)
 locales    - GNU C Library: National Language (locale) data [support]
 nscd       - GNU C Library: Name Service Cache Daemon
Closes: 182981 219352 264920 265678 292013 292673 294444 294816 295118 295457 297769 300943 303478 303816 304257 304668
Changes: 
 glibc (2.3.2.ds1-21) unstable; urgency=high
 .
   * GOTO Masanori <gotom@debian.org>
 .
     - debian/patches/linuxthreads-sizefix.dpatch: Fix ia64 TLS_PRE_TCB_SIZE
       alignment where TLS_DTV_AT_TP is defined between linuxthreads and nptl.
       It breaks evolution on ia64 linuxthreads ld.so + nptl environment.
       (Closes: #292673)
     - debian/patches/glibc232-sigsetjmp.dpatch: Fix gcc-4.0 compilation
       breakage on amd64.  (Closes: #295457)
     - debian/debhelper.in/libc.manpages: Add tzconfig.8.  Reported by Matthijs
       Mohlmann <matthijs@cacholong.nl>.  (Closes: #182981)
     - debian/patches/90_glibc232-timezones.dpatch: Update to tzdata2005h.
     - debian/patches/hurd-weak-aliases.dpatch: Add to fix undefined references
       to build putty on Hurd, patched by Michael Banck <mbanck@debian.org>.
       (Closes: #295118)
     - debian/debhelper.in/libc.preinst: Fix typo, proofreading.
       (Closes: #294816, #303478)
     - debian/rules: Bump up shlib_dep_ver 2.3.2.ds1-21.  It's required by
       adding GLIBC_2.3.4 symbol.
 .
     - Bastian Blank <waldi@debian.org>:
       - debian/patches/sched-update.dpatch: Update sched_[gs]et_affinity to
         new interface and library version.  Add GLIBC_2.3.4 versioned symbol
         for new interface.  (Closes: #297769)
     - Jeff Bailey <jbailey@raspberryginger.com>:
       - debian/patches/glibc232-tls-crashfix.dpatch: Fix tls assertion that
         crashes xmms/nvidia.  (Closes: #219352)
       - debian/patches/glibc232-pthread-cancellation.dpatch: Fix pthread
         cancellation bug that causes JVM lockups.  (Closes: #300943)
     - Denis Barbier <barbier@debian.org>:
       - debian/debhelper.in/libc.preinst: Add export LC_ALL=C like
         libc.postinst, it corrects some locale dependent behavior,
         especially for `tr'.  (Closes: #304257)
     - Lars Wirzenius <liw@iki.fi>:
       - debian/local/manpages/iconv.1: Escape hyphens for Unicode
         environments.  (Closes: #292013)
     - Emilian Nowak <emil5@go2.pl>:
       - debian/po/pl.po: Add Polish debconf translation.  (Closes: #294444)
     - Matti Polla <mpo@iki.fi>:
       - debian/po/fi.po: Add Finnish debconf translation.  (Closes: #303816)
     - Khalid Aziz <khalid_aziz@hp.com>:
       - debian/patches/glibc232-clock_settime.dpatch: Fix clock_settime
         always fails with EINVAL.  (Closes: #304668)
     - Thiemo Seufer <ths@debian.org>:
       - debian/patches/glibc23-mips-lazy-eval.dpatch: Workaround fix for
         broken symbol resolving of lazy evaluation stubs on mips/mipsel,
         that causes fakeroot breakage.  (Closes: #265678, #264920)
Files: 
 c68cd4ae91be6b9b6a087cd691726d42 1725 libs required glibc_2.3.2.ds1-21.dsc
 d3e90d31845cb5df45c07fed6d85fc3d 1783892 libs required glibc_2.3.2.ds1-21.diff.gz
 066cc175adbb429b371a55abb4c5c551 3166896 doc optional glibc-doc_2.3.2.ds1-21_all.deb
 6f4197d090f8daa7db57a305a1666553 3984332 base standard locales_2.3.2.ds1-21_all.deb
 f85258f6f37716e0243659f74d5e6af9 4901150 base required libc6_2.3.2.ds1-21_i386.deb
 aa70d271dd92cab4038826505b0dd060 2533234 libdevel standard libc6-dev_2.3.2.ds1-21_i386.deb
 2536c0ab2b58cb09474aad229fd8bba9 2014912 libdevel extra libc6-prof_2.3.2.ds1-21_i386.deb
 d8b9ef9a65416d1215c68593226e40b5 1036998 libdevel optional libc6-pic_2.3.2.ds1-21_i386.deb
 39c51f15126543236f5700390db1681f 959450 libs extra libc6-i686_2.3.2.ds1-21_i386.deb
 572479d750a808ec729cdd475c6f48c3 92676 admin optional nscd_2.3.2.ds1-21_i386.deb
 7faf60c947d73331a7e8753188b14a16 10234092 libdevel extra libc6-dbg_2.3.2.ds1-21_i386.deb
 3e0e01f0e801c3b15231ba80042191d7 719300 debian-installer extra libc6-udeb_2.3.2.ds1-21_i386.udeb
 9b953fe85a74aec52e05c7f0ea22ca11 7724 debian-installer extra libnss-dns-udeb_2.3.2.ds1-21_i386.udeb
 0e6efc90404ac8026eca354e011bb3d0 13740 debian-installer extra libnss-files-udeb_2.3.2.ds1-21_i386.udeb
package-type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.0 (GNU/Linux)

iD8DBQFCYQXbqIqasIZIJsMRAi//AJ9lXH39wkkqkgLNcsGOtOXz2ICugwCfaKYl
6QOMUYp4EWP2+YIZwPOqjWY=
=pXdx
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 08:24:17 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.